GCLOUD_COMPUTE_ROUTERS_ADD-INTERFACE(1)

NAME

gcloud compute routers add-interface - add an interface to a router

SYNOPSIS

gcloud compute routers add-interface NAME --interface-name INTERFACE_NAME --vpn-tunnel VPN_TUNNEL [--ip-address IP_ADDRESS] [--mask-length MASK_LENGTH] [--region REGION] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute routers add-interface is used to add an interface to a router.

POSITIONAL ARGUMENTS
NAME
    The name of the router.

REQUIRED FLAGS
--interface-name INTERFACE_NAME
    The name of the interface being added.
--vpn-tunnel VPN_TUNNEL
    The tunnel of the interface being added.

OPTIONAL FLAGS
--ip-address IP_ADDRESS
    The link local address of the router for this interface.
--mask-length MASK_LENGTH
    The mask for network used for the server IP address.
--region REGION
    The region of the router to update. If not specified, you will be prompted to select a region. To avoid prompting when this flag is omitted, you can set the compute/region property:
        $ gcloud config set compute/region REGION
    A list of regions can be fetched by running:
        $ gcloud compute regions list
    To unset the property, run:
        $ gcloud config unset compute/region
    Alternatively, the region can be stored in the environment variable CLOUDSDK_COMPUTE_REGION.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.